import java.util.Scanner;

public class TriangleChecker {

  public enum TriangleType {
    NONE,       // kein Dreieck
    NORMAL,     // Dreieck
    ISOSCELES,  // Gleichschenklig
    EQUILATERAL // Gleichseitig
  }


  public static void main(String[] args) {
    Scanner s = new Scanner(System.in);
    System.out.println("Geben Sie die Seitenlängen ein.");
    float a = enterFloat(s, "a: ");
    float b = enterFloat(s, "b: ");
    float c = enterFloat(s, "c: ");
    s.close();
    printAnalysis(a, b, c);
  }

  // Eingabe einer Seitenlänge
  private static float enterFloat(Scanner s, String prompt) {
    System.out.print(prompt);
    return s.nextFloat();
  }

  // Ausgabe der ermittelten Dreiecksart
  private static void printAnalysis(float a, float b, float c) {
    TriangleType type = checkTriangle(a, b, c);
    switch (type) {
      case NONE:
        System.out.println("Kein Dreieck");
        break;
      case NORMAL:
        System.out.println("Dreieck");
        break;
      case ISOSCELES:
        System.out.println("Gleichschenkliges Dreieck");
        break;
      case EQUILATERAL:
        System.out.println("Gleichseitiges Dreieck");
        break;
    }
  }

  // Analysen
  public static TriangleType checkTriangle(float a, float b, float c) {
    if(checkIfNotValid(a,b,c)) return TriangleType.NONE;
    if(checkIfEquilateral(a,b,c)) return TriangleType.EQUILATERAL;
    if(checkIfIsosceles(a,b,c)) return TriangleType.ISOSCELES;
    if(checkIfNormal(a,b,c)) return TriangleType.NORMAL;
    return TriangleType.NONE;
  }

  // Analyse kein Dreieck
  private static boolean checkIfNotValid(float a, float b, float c){
    if (a + b <= c || a + c <= b || b + c <= a) return true;
    return false;
  }

  // Analyse normales Dreieck
  private static boolean checkIfNormal(float a, float b, float c){
    if (a != b && b != c && a != c) return true;
    return false;
  }

  // Analyse gleichschenkliges Dreieck
  private static boolean checkIfIsosceles(float a, float b, float c){
    if (a == b || a == c || b == c) return true;
    return false;
  }

  // Analyse gleichseitiges Dreieck
  private static boolean checkIfEquilateral(float a, float b, float c){
    if (a == b  && b == c) return true;
    return false;
  }
}