import org.junit.Test;
import static org.junit.Assert.*;

public class TriangleCheckerTest {

    @Test
    public void testValidTriangle() {

        // Arrange
        float a = 2;
        float b = 3;
        float c = 4;

        // Act
        TriangleChecker.TriangleType type = TriangleChecker.checkTriangle(a, b, c);

        // Assert
        assertEquals(TriangleChecker.TriangleType.NORMAL, type);
    }

    @Test
    public void testIfNotValidTriangle_SumOfTwoSidesEqualsThird() {

        // Arrange
        float a = 10;
        float b = 20;
        float c = 30;

        // Act
        TriangleChecker.TriangleType type = TriangleChecker.checkTriangle(a, b, c);

        // Assert
        assertEquals(TriangleChecker.TriangleType.NONE, type);
    }

    @Test
    public void testEquilateralTriangle() {

        // Arrange
        float a = 1;
        float b = 1;
        float c = 1;

        // Act
        TriangleChecker.TriangleType type = TriangleChecker.checkTriangle(a, b, c);

        // Assert
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, type);
    }

    @Test
    public void testIsoscelesTriangleIfAEqualsB() {

        // Arrange
        float a = 10;
        float b = 10;
        float c = 5;

        // Act
        TriangleChecker.TriangleType type = TriangleChecker.checkTriangle(a, b, c);

        // Assert
        assertEquals(TriangleChecker.TriangleType.ISOSCELES, type);
    }
}